Subject: bug#72814: 31.0.50; Add a variable controlling doxygen support in C/C++/Java?

From: Vincenzo Pupillo <[email-masked]>
Date: Wed, 11 Sep 2024 11:40:17 +0200

In data mercoledì 11 settembre 2024 06:53:32 CEST, Yuan Fu ha scritto:
> 
> > On Sep 9, 2024, at 2:50 AM, Vincenzo Pupillo <[email-masked]> wrote:
> > 
> > In data martedì 27 agosto 2024 14:22:16 CEST, Eli Zaretskii ha scritto:
> >>> From: Yuan Fu <[email-masked]>
> >>> Date: Mon, 26 Aug 2024 20:13:52 -0700
> >>> Cc: [email-masked],
> >>> 
> >>> [email-masked]
> >>> 
> >>> Yuan Fu <[email-masked]> writes:
> >>>> X-Debbugs-CC: [email-masked] <mailto:[email-masked]>,
> >>>> [email-masked]
> >>>> 
> >>>> Should we add a custom option that controls whether to enable doxygen
> >>>> support in c-ts-mode/c++-ts-mode/java-ts-mode?
> >>>> 
> >>>> Technically this isn’t a problem, since the doxygen support is only
> >>>> enabled if there’s doxygen grammar on the system. But many people
> >>>> (me) might install a grammar bundle that includes dozens of
> >>>> grammars for convenience. Then the doxygen support would turn on when
> >>>> the user doesn’t really intend to use it.
> >>>> 
> >>>> I propose we add custom options like c-ts-mode-enable-doxygen and set it
> >>>> to t by default, so the default behavior is still to enable doxygen
> >>>> support when the grammar for it exists, but people who don’t want to pay
> >>>> for it can turn it off by setting the option to nil.
> >>>> 
> >>>> Yuan
> >>> 
> >>> Eli, WDYT?
> >> 
> >> I'm okay with such an option, but it should be careful to check
> >> whether the corresponding grammar library is available, and offer a
> >> user-friendly diagnostic if not.
> > 
> > Try to take a look at this patch. Is it okay?
> > 
> > Vincenzo
> > <0001-Add-a-user-option-to-disable-Doxygen-syntax-highligh.patch>
> 
> Thanks for taking this up! I won’t signal a warning if doxygen grammar isn’t found. Imagine a user without doxygen grammar, and din’t change c-ts-mode-enable-doxygen: they’ll get a warning whenever they open a C file. 
> We should either set c-ts-mode-enable-doxygen to nil by default, or not warn when doxygen grammar doesn’t exist. Otherwise, the patch looks good to me.

Okay, fine. But Eli said something different...
What do we do?

Vincenzo
> Yuan